Subject: Re: [Tsvwg] EndPoint and Association Address conflict

From: "La Monte Henry Piggy Yarroll" <[email-masked]>
Date: Wed, 01 May 2002 07:40:33 -0500

Qiaobing Xie <[email-masked]> writes:
>
> Hi, all,
> 
> This discussion is going nowhere unless we all can agree on what we are
> talking about :-< 
> 
> There are at least two parallel lines of thinking (i.e., socket
> API-focused and protocol definition-focused) and three different views
> of what an "endpoint" is (host-view, socket-view, association-view). We
> don't even have an agreement on how these views differ (or whether they
> actually differ), let alone what rules should be formulated. 

Good idea.  I'm not sure I can propose terms that match the three
views you describe, but I have a suggestion for a term which may be
helpful.

Most implementations I've looked at include an "endpoint structure"
which corresponds only approximately to an "RFC 2960 endpoint".  I
THINK this corresponds to the socket-view.

I say only approximately, because this structure generally needs to
get copied when a new association forms.  The copy is necessary
because there are changes (add-ip, new local interfaces) which MIGHT
cause divergence from one association to another, or between an
association and a listening socket.

Is "endpoint structure" a useful clarifying term?  Or does this add
additional confusion because of differences in the ways that
individual implementations handle an "endpoint structure"?

> I hope someone can name these "things" first. Without these terms
> clarified to all the participants, the discussion is IMO just a waste of
> everybody's time.
> 
> -Qiaobing
> 
> 
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/tsvwg

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg